# rss2sn

Quick and dirty RSS to StatusNet client.

## Usage

You can use it straight from a Git clone, and run it like:

    $ cp rss2sn.cfg.sample ~/.rss2sn.cfg
    $ $EDITOR ~/.rss2sn.cfg
    $ ./rss2sn.py -a AccountName

You may want to add it to your `crontab`.

If you prefer, you can use `pip` to install rss2sn and run
it from your site-packages like:

   $ python /usr/lib/python/site-packages/rss2sn.py -a AccountName

By using `pip install rss2sn` you make sure that you get
the dependencies installed along with rss2sn.

## How it works

It fetches the RSS feed and checks each item's pubDate against
the local stored value of the last pushed item. If no local
value is found, local time is stored, and nothing is posted.

This behavior can be changed by setting bootstrap = True in the
feed's configuration. When bootstrap is set, on missing last
item's date, a one year back date is saved and used as bootstrap
"since" date. This way the first run will (most probably) post
some notices.

## License

See `COPYING`.

## Authors

* marcos+rss2sn@tenak.net

## Get it

Clone it straight from the Git repo:

    $ git clone http://git.tenak.net/rss2sn.git

Or grab it from the cheese shop:

    $ pip install rss2sn
